/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SRC_table.sql **/
 EXEC p_AlterColumn 'T_SRC_PURLISTENTRY_Z', 'FMINIORDERQTY', 'DECIMAL(23,10)', 'NOT NULL', '1111', '0';

 EXEC p_AlterColumn 'T_SRC_PURLISTENTRY_Z', 'FMINIPACKQTY', 'DECIMAL(23,10)', 'NOT NULL', '1111', '0';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_BIDDOCBILL' AND KSQL_COL_NAME ='FREMARK') 
 ALTER TABLE T_SRC_BIDDOCBILL ADD (FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_QUOTEBILL' AND KSQL_COL_NAME ='FREMARK') 
 ALTER TABLE T_SRC_QUOTEBILL ADD (FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PURLISTENTRY' AND KSQL_COL_NAME ='FCFMQTY') 
 ALTER TABLE T_SRC_PURLISTENTRY ADD (FCFMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_SRC_CONTRACTENTRY', 'FCONTRACTQTY', 'DECIMAL(23,10)', 'NOT NULL', '1111', '0';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_CONTRACTENTRY' AND KSQL_COL_NAME ='FCFMQTY') 
 ALTER TABLE T_SRC_CONTRACTENTRY ADD (FCFMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SRC_table.sql **/
